
CoCoA-5 - Support #521

Manual: automatically check all examples

04 Apr 2014 11:32 - John Abbott

Status: Closed Start date: 04 Apr 2014

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Manual/documentation Estimated time: 0.00 hour

Target version: CoCoA-5.2.0 spring 2017 Spent time: 0.85 hour

Description

Write a script/program which automatically checks all examples in the manual.

Related issues:

Related to CoCoA-5 - Support #558: CoCoAManual: semi-automatic check of all i... Closed 14 May 2014

History

#1 - 04 Apr 2014 11:35 - John Abbott

Scan file for lines starting with /**/ inside a <example>...</example> block.  Check that the CoCoA commands work and that they produce the given

output.  Start a new CoCoA session for each <example>...</example> block.

May we suppose that the current ring is QQ[x,y,z] at the start of an example?  Or must every example start with a Use command?

Anna says she already has a rudimentary scanner.

#2 - 06 Mar 2017 16:16 - John Abbott

- Related to Support #558: CoCoAManual: semi-automatic check of all input added

#3 - 06 Mar 2017 16:16 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.2.0 spring 2017

#4 - 06 Mar 2017 16:55 - Anna Maria Bigatti

Done (again, long time ago...).  It is called by

 make ManExamples

in CoCoA-5/.

#5 - 06 Mar 2017 17:00 - Anna Maria Bigatti

This seems a duplicate of #558, closed for CoCoA-5.1.0 Easter14.

Unless you mean to check also the output (then it's DIFFICULT!)

#6 - 28 Apr 2017 09:16 - Anna Maria Bigatti
https://cocoa.dima.unige.it/redmine/issues/558


John, close this issue, as done in #558?

#7 - 28 Apr 2017 14:14 - John Abbott

- Status changed from New to Closed

- % Done changed from 0 to 100

WQe mustremember to do this before each release!Closing

#8 - 28 Apr 2017 14:34 - Anna Maria Bigatti

it is in the checklist in #851 ;-)

which I copy for every release
